---
title: msWriteProfilerMark
slug: Web/API/msWriteProfilerMark
tags:
  - msWriteProfilerMark
---
<div>{{APIRef("HTML DOM")}}</div>

<p>{{Non-standard_header()}}</p>

<p>The <strong><code>msWriteProfilerMark</code></strong> method writes a profiling event.</p>

<p>This proprietary method is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js"> window.msWriteProfilerMark("start-render");
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>bstrProfilerMarkName</em>[in]</dt>
 <dd>An event name. Type = <strong>String</strong>. This parameter may be null.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Type: <strong>HRESULT</strong>. If this method succeeds, it returns <strong><em>S_OK</em></strong>. Otherwise, it returns an <em><strong>HRESULT </strong></em>error code.</p>

<h3 id="Notes">Notes</h3>

<p><code>msWriteProfilerMark</code> enables you to inject DOM based performance markers in addition to existing Javascript API to learn exactly when parts of the page are being rendered, building a waterfall view for every one of our impressions showing latency per object, which can be useful for more accurately debugging real users perf issues.</p>

<p>Internet Explorer 10. This method is also available in the Web Worker global scope.</p>

<p>For Windows XP, this method sends an event to an event tracing session with <code>TraceEvent</code>; for systems after Windows XP, this method writes an event with <code>EventWrite</code>.</p>

<p>The event includes a pointer to a window object, current markup, and the event name passed as <code>bstrProfilerMarkName</code>.</p>

<p>The <code>bstrProfilerMarkName </code>property has a 32-character limit when called from script.</p>

<p>This method is useful to profile real website performance by using the operating system metrics as a baseline.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">if (msWriteProfilerMark) {
 msWriteProfilerMark("Mark1");
}
</pre>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
